%define base_name	kwin-style
%define theme_name	glocean
%define name		%{base_name}-%{theme_name}
%define version		1.1.27
%define aversion	1.1-27
%define bversion	1.1
%define release		3mdk
%define summary		GLOcean kwinstyle for KDE
%define __libtoolize /bin/true
%define __cputoolize /bin/true


Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{aversion}.src.tar.bz2
URL:			http://kdelook.org/content/show.php?content=18790
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRequires:          libMesaGLU-devel
BuildRequires:		libMesaglut-devel
BuildRequires:		chrpath
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Ever seen those exec toys that have water sloshing back and forth ?
Now you can have one for your desktop in the titlebars.

This is fairly new stuff, bear with me, it'll get better.
Your milage may vary.

In the tradition of old Amiga screen hacks it should be smooth, fast, light,
really annoying or classically subtle with the potential to ruin your day.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{theme_name}-%{bversion}

%build

make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath 


%make

%install


%makeinstall_std

chrpath -d $RPM_BUILD_ROOT/%_libdir/kde3/kwin3_glocean.so


cat > $RPM_BUILD_DIR/%{theme_name}-%{bversion}/README.urpmi << EOF

######################### More informations ########################

To use this win deco use kcontrol section apparence (LookNFeel)
and choose GLOcean theme.

Ever seen those exec toys that have water sloshing back and forth ?
Now you can have one for your desktop in the titlebars.

This is fairly new stuff, bear with me, it'll get better.
Your milage may vary.

In the tradition of old Amiga screen hacks it should be smooth, fast, light,
really annoying or classically subtle with the potential to ruin your day.

Also requires a working GL subsystem.

Developed and tested with...

Debian (testing)

kernel 2.6.8-2-k7 i686
KDE Release 3.3.2
gcc version 3.3.5
KDevelop version 3.1.1
nVidia-linux.o-1.0-6629
XFree86 Version 4.3.0.1
GLX version: 1.3

Hardware:

CPU: AMD Athlon(tm) XP 2000+ stepping 01
OpenGL vendor: NVIDIA Corporation
OpenGL renderer: Buzz/emulated by GeForce4 MX 440/AGP/SSE/3DNOW!
OpenGL version: 1.5.2 NVIDIA 66.29
Direct Rendering: supported


#######################################################################


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING Doxyfile README INSTALL README.urpmi
%{_libdir}/kde3/kwin3_%{theme_name}*
%{_libdir}/kde3/kwin_%{theme_name}_config.*
%{_datadir}/apps/kwin/%{theme_name}.desktop
%_datadir/glocean/background-01.jpg
%_datadir/glocean/background-03.jpg
%_datadir/glocean/background-05.jpg
%_datadir/glocean/button-01.png
%_datadir/glocean/button-03.png
%_datadir/glocean/button-05.png
%_datadir/glocean/plastic.png
%_datadir/glocean/spasemunkie.png
%_datadir/glocean/square.png
%_datadir/glocean/star.png

%changelog
* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.27-3mdk
- Rebuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.27-2mdk
- Rebuild + fix x86_64

* Mon Mar 07 2005 Sebastien Savarin <plouf@mandriva.org> 1.1.27-1mdk 
-Initial mandriva Linux release

